Katello - Bug #6572

Content Host assigned 'lifecycle environment' is not checked
07/10/2014 02:40 PM - Justin Sherrill

Status: Closed
Priority: High
Assignee: Justin Sherrill
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1120308 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/443
Description

A content host's lifecycle environment is not checked when arriving at the page.
1) Register a content host to library

2) Go to Host > COntent Hosts> click on the new content host

3) Look at the Lifecycle Environment on the upper right

It should be checked but is not

Associated revisions

Revision 2cb70b84 - 07/16/2014 01:02 PM - Justin Sherrill
fixes #6572 - fix default check on path selector
also do not allow unselect by default, since it

does not make sense in most cases. Added an option
"required-selection" to path selector that default to true

Revision 76899cd2 - 07/16/2014 01:02 PM - Justin Sherrill
fixes #6572 - fix default check on path selector
also do not allow unselect by default, since it

does not make sense in most cases. Added an option
"required-selection" to path selector that default to true

Revision 5dd2f1b0 - 07/16/2014 02:31 PM - Justin Sherrill
Merge pull request #4438 from jlsherrill/6572

fixes #6572 - fix default check on path selector

Revision e37a64d3 - 07/16/2014 02:31 PM - Justin Sherrill

Merge pull request #4438 from jIsherrill/6572

fixes #6572 - fix default check on path selector

History

#1 - 07/16/2014 12:56 PM - Justin Sherrill
- Status changed from New to Assigned

- Assignee set to Justin Sherrill

#2 - 07/16/2014 01:03 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4438 added
- Pull request deleted ()

#3 - 07/16/2014 01:10 PM - Justin Sherrill

- Subject changed from Content Host assigned 'lifecycle environment' is not check to Content Host assigned 'lifecycle environment' is not checked

#4 - 07/16/2014 01:11 PM - Justin Sherrill
- Bugzilla link set to 1120308

#5 - 07/16/2014 03:01 PM - Justin Sherrill
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|2cb70b84bbe780261c80c9626e7d884fd125f9df.
